%define lib_major 2
%define api_version 2
%define lib_name %mklibname %{name} %{api_version} %{lib_major}

%define req_gail_version 0.17
%define req_libglade_version 2.0.0
%define req_gnome_menus_version 2.13

Name:		eel
Summary:	Eazel Extensions Library
Version:	2.16.0
Release:	%mkrel 1
License: 	LGPL/GPL
Group:		System/Libraries
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
# (fc) 2.10.1-3mdk fix load of KDE icons
Patch1:		eel-2.10.1-kdeicons.patch.bz2

URL: 		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	gnome-desktop-devel
BuildRequires:	libgail-devel >= %{req_gail_version}
BuildRequires:	libglade2.0-devel >= %{req_libglade_version}
BuildRequires:	gnome-menus-devel >= %{req_gnome_menus_version}
BuildRequires:	perl-XML-Parser expat-devel

%description
Eazel Extensions Library

%package -n	%{lib_name}
Summary:	Eazel Extensions shared Libraries
Group:		%{group}
Requires:	%{name} >= %{version}-%{release}

%description -n	%{lib_name}
Eazel Extensions shared libraries

%package -n	%{lib_name}-devel
Summary:	Libraries and include files for developing with Eel
Group:		Development/C
Requires:	%{lib_name} = %{version}-%{release}
Provides:	lib%{name}%{api_version}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel

%description -n	%{lib_name}-devel
This package provides the necessary development libraries and include
files to allow you to develop with Eel.


%prep
%setup -q
%patch1 -p1 -b .kdeicons

%build

%configure2_5x

%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%{find_lang} %{name}-2.0
rm -f %_libdir/debug%_libdir/?

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig -n %{lib_name}

%postun -p /sbin/ldconfig -n %{lib_name}

%files -f %{name}-2.0.lang
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/*.so.*


%files -n %{lib_name}-devel
%defattr(-, root, root)
%{_libdir}/*.so
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/pkgconfig/*
%{_includedir}/eel-%{api_version}

%changelog
* Mon Sep 04 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Mon Aug 21 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.92-1mdv2007.0
- Release 2.15.92

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- New release 2.15.91

* Wed Aug 02 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.15.90-2mdv2007.0
- rebuild w/o selinux on x86_64

* Tue Jul 25 2006 Götz Waschk <waschk@mandriva.org> 2.15.90-1mdv2007.0
- New release 2.15.90

* Mon Jul 17 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.4-3mdv2007.0
- Rebuild to drop obsolete howl dependency

* Thu Jul 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.4-2mdv2007.0
- Rebuild with latest libgail

* Tue Jul 11 2006 Götz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- New release 2.15.4

* Mon Jun 12 2006 Götz Waschk <waschk@mandriva.org> 2.15.2-1mdv2007.0
- New release 2.15.2

* Tue Jun 06 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.15.1-3mdv2007.0
- fix buildrequires

* Fri Jun 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.1-2mdv2007.0
- Release 2.15.1

* Sun Apr 16 2006 Götz Waschk <waschk@mandriva.org> 2.14.1-2mdk
- fix buildrequires

* Fri Apr 14 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-1mdk
- Release 2.14.1

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-2mdk
- Use mkrel

* Mon Nov 28 2005 Götz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- New release 2.12.2

* Thu Oct 06 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1
- Remove patch0 (merged upstream)

* Fri Sep 02 2005 Götz Waschk <waschk@mandriva.org> 2.10.1-4mdk
- rebuild to remove glitz dep

* Thu Aug 18 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-3mdk 
- Patch1: fix load of KDE icons

* Thu Apr 21 2005 Götz Waschk <waschk@mandriva.org> 2.10.1-2mdk
- fix buildrequires

* Thu Apr 21 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-1mdk 
- Release 2.10.1 (based on G?tz Waschk package)
- Patch0 (CVS): use new gnome-menus API

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-2mdk 
- Rebuild with latest howl

* Tue Nov  9 2004 Götz Waschk <waschk@linux-mandrake.com> 2.8.2-1mdk
- requires new libgnomeui
- drop merged patch
- New release 2.8.2

* Mon Oct 25 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-1mdk
- New release 2.8.1
- Patch0 (Fedora): fix crash with extensionless files

* Sun Jun  6 2004 Götz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- reenable libtoolize
- New release 2.6.2

* Mon Apr 19 2004 Götz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- fix URL
- New release 2.6.1

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Götz help)

* Wed Feb 04 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-1mdk
- Release 2.4.2

* Fri Nov 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-1mdk
- Release 2.4.1

* Mon Sep 08 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Thu Sep 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.90-2mdk
- Fix BuildRequires

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.90-1mdk
- Release 2.3.90

* Mon Aug 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.9-1mdk
- Release 2.3.9

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.8-1mdk
- Release 2.3.8

* Mon Jul 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.7-1mdk
- Release 2.3.7

* Tue Jul 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.6-2mdk
- Rebuild for latest dependencies

* Thu Jul 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.6-1mdk
- Release 2.3.6

* Thu Jun 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.4-1mdk
- Release 2.3.4

* Wed Jun 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-1mdk
- Release 2.3.3

* Mon Jun 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.2-1mdk
- Release 2.3.2

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.1-1mdk
- Release 2.3.1

* Fri Apr 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.3.1-1mdk
- Release 2.2.3.1

* Fri Feb 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1-1mdk
- Release 2.2.1

* Tue Jan 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0.2-1mdk
- Release 2.2.0.2

* Thu Jan 23 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0.1-1mdk
- Release 2.2.0.1

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.91-2mdk
- Rebuild against latest openssl

* Tue Jan 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.91-1mdk
- Release 2.1.91

* Tue Jan  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.6-1mdk
- Release 2.1.6

* Mon Dec 30 2002 Stefan van der Eijk <stefan@eijk.nu> 2.1.5-2mdk
- BuildRequires libjpeg-devel

* Thu Dec 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5

* Wed Dec 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3

* Wed Nov 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-1mdk
- Release 2.1.2

* Thu Oct 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.7-1mdk
- Release 2.0.7

* Fri Aug 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-1mdk
- Release 2.0.5 (update Geek translation)

* Mon Aug 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-1mdk
- Release 2.0.4

* Tue Aug  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-1mdk
- Release 2.0.3

* Fri Aug  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-2mdk
- Fix devel dependencies

* Mon Jul 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-1mdk
- Release 2.0.2

* Tue Jul 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1
- Remove patch0 (merged upstream)

* Thu Jul 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-3mdk
- Fix BuildRequires / Requires on -devel package (huug)

* Tue Jun 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-2mdk
- Patch0: be sure to call bind_textdomain_codeset before using gettext

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.17-4mdk
- Fix libification

* Thu Jun  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.17-3mdk
- Rebuilt against libbonoboui 2.0.0

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.17-2mdk
- Rebuilt against gail 0.15

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.17-1mdk
- Release 1.1.17

* Thu May 30 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.14-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Tue May 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.14-1mdk
- Release 1.1.14

* Tue May  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.13-1mdk
- Release 1.1.13

* Mon Apr 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.12-1mdk
- Release 1.1.12

* Mon Apr 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.11-1mdk
- Release 1.1.11

* Tue Apr 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.10-1mdk
- Release 1.1.10
- Now requires gail 0.13 or better

* Mon Apr  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.9-1mdk
- Release 1.1.9 (GNOME2)
- Remove patches 0, 1, 4, 6 (no longer needed), 7 (merged upstream)

* Sat Feb 16 2002 Stefan van der Eijk <stefan@eijk.nu> 1.0.2-8mdk
- BuildRequires

* Thu Feb 14 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.2-7mdk
- integrated basque (and other) translations from Gnome CVS

* Fri Jan  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-6mdk
- Update patch1 with latest Rawhide version

* Thu Jan  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-5mdk
- Patch7: fix flash problem on desktop at startup

* Fri Dec  7 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.2-4mdk
- fix BuildRequires

* Thu Dec  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-3mdk
- Patch6 (Rawhide) : Fixes for efficiency of background drawing

* Mon Dec  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-2mdk
- Fix reference directory in .la files

* Thu Oct 25 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2
- Remove patches 2,3,6 (merged upstream)

* Tue Oct 16 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.0.1-4mdk
- rebuilt with libpng3

* Tue Aug 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-3mdk
- Add a lot of patches from rawhide :
 - Patch1: fixed choose default font with every locale
 - Patch2: fixes for efficiency of background drawing
 - Patch3: fixes from CVS (ia64, ...),move includes files in eel-1 dir
 - Patch4: remove some flashes
 - Patch5: Fix problems with EelImageChooser widget and Japanese
 - Patch6: Fixed EelScalableFont to not keep reloading fonts all the time

* Mon Jul 16 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- Remove check since they need X11 display (Stefan van der Eijk)
- Fix BuildRequires (Stefan van der Eijk)

* Fri Jul  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1
- Don't ship fonts since they are in urw-fonts

* Tue May 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-2mdk
- Add missing dependency of main package to lib package

* Tue May 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk
- First Mandrake package

* Wed Apr 04 2000 Ramiro Estrugo <ramiro@eazel.com>
- created this thing
